Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 160159

Summary: firefox freezes X when loading page
Product: [Fedora] Fedora Reporter: Pavel Rosenboim <pavel1r>
Component: firefoxAssignee: Christopher Aillon <caillon>
Status: CLOSED CANTFIX QA Contact:
Severity: high Docs Contact:
Priority: medium    
Version: 3CC: bcs, mattdm, mcepl, mcepl, wtogami
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
URL: https://www.redhat.com/archives/fedora-devel-list/2005-June/msg00849.html
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-07-18 17:30:42 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Pavel Rosenboim 2005-06-12 09:30:55 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
When loading https://www.redhat.com/archives/fedora-devel-list/2005-June/msg00849.html, X freezes. No keyboard input accepted, so I'm even unable to kill X or switch to a console. I'm able to ssh to system and see that X process takes 100% CPU. strace of X shows that it is receiving SIGALARM all the time. I'm using updated FC3 (xorg  6.8.2-1.FC3.13) with NVidia drivers.

Version-Release number of selected component (if applicable):
1.0.4-1.3.1

How reproducible:
Always

Steps to Reproduce:
1. Open https://www.redhat.com/archives/fedora-devel-list/2005-June/msg00849.html
2.
3.
  

Actual Results:  X freezes. Sometimes shift-reload required to freeze.

Expected Results:  Load page

Additional info:

Comment 1 Ben Steeves 2005-06-18 01:49:12 UTC
I have the exact same symptoms (X using 100% CPU, SIGALRM, etc., although my
SIGALRMs are intersperced with a lot of gettimeofday() calls, too), except my
freezes occur quite frequently when switching apps, dragging windows, etc., in
GNOME.  They happen less frequently but still happen in KDE, and it doesn't
matter if I have Firefox loaded or not.  

I'm on FC4 with the following Xorg packages:
fonts-xorg-base-6.8.2-1
xorg-x11-font-utils-6.8.2-37
xorg-x11-deprecated-libs-devel-6.8.2-37
xorg-x11-libs-6.8.2-37
xorg-x11-deprecated-libs-6.8.2-37
fonts-xorg-100dpi-6.8.2-1
xorg-x11-Mesa-libGL-6.8.2-37
xorg-x11-xfs-6.8.2-37
xorg-x11-xdm-6.8.2-37
xorg-x11-Mesa-libGLU-6.8.2-37
xorg-x11-6.8.2-37
xorg-x11-tools-6.8.2-37
xorg-x11-devel-6.8.2-37
fonts-xorg-75dpi-6.8.2-1
xorg-x11-xauth-6.8.2-37
xorg-x11-twm-6.8.2-37

Comment 2 Pavel Rosenboim 2005-06-18 08:37:08 UTC
I'm using the NVidia drivers, and it looks like the problem disappeared after I
set RenderAccel option to false.

Comment 3 Ben Steeves 2005-06-23 12:45:39 UTC
Yup; same here.  This can probably be closed & reported to Nvidia.

Comment 4 Matthew Miller 2006-07-10 21:02:04 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 5 Matěj Cepl 2007-07-18 17:24:26 UTC
Distribution against which this bug was reported is no longer supported; could
you please reproduce this with the updated version of the currently supported
distribution (Fedora Core 6, or Fedora 7, or Rawhide)? If this issue turns out
to still be reproducible, please let us know in this bug report.  If after a
month's time we have not heard back from you, we will have to close this bug as
CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.